Occasionally, visual mode opens instead of wikitext mode
Closed, ResolvedPublic1 Story Points


One editor reports that sometimes, it switches from the new wikitext mode into the visual mode.

Reported by @MotokoCK, who is using Chrome on macOS Sierra 10.12 at https://www.mediawiki.org/wiki/Topic:Thnu54tj48r51n0z He primarily edits at the Korean Wikipedia, which uses the Single Edit Tab.

See contributions here: https://ko.wikipedia.org/wiki/특수:기여/Motoko_C._K. There's no indication that this user has ever switched into visual mode (no "switched" tags), but sometimes the visual mode is opening anway.

Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 26 2016, 7:07 PM
Restricted Application added subscribers: revi, Aklapper. · View Herald Transcript
Whatamidoing-WMF renamed this task from Occasional unintended switching from wikitext mode to visual mode to Occasionally, visual mode opens instead of wikitext mode.Dec 26 2016, 7:59 PM
Whatamidoing-WMF updated the task description. (Show Details)
Izno added a subscriber: Izno.

I've had this occur when I use the "embedded" edit link at my user page. May be un-related. Fx 50+ on both Windows 7 and 10.

Izno added a comment.EditedMay 9 2017, 7:35 PM

Usually mine will switch to visual editing mode after an attempt to edit a section for a second time (after a first successful edit using NWE). I left a comment regarding this behavior at T155632#3103792 after Jdf got that bug closed.

Jdforrester-WMF closed this task as Resolved.May 10 2017, 3:45 PM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 10 2017, 3:46 PM